<?php

namespace App\Mappers;

use App\ViewModels\AgendaEspecialidade\AgendaEspecialidadeDisponibilidadeRegistrationViewModel\AgendaEspecialidadeDisponibilidadeRegistrationViewModel;
use App\Services\JWT\UsuarioLogado;
use App\Utils\DateUtils;

class AgendaEspecialidadeDisponibilidadeMapper {

	public static function getAgendaEspecialidadeRegistrationVMFromArray(array $data): AgendaEspecialidadeDisponibilidadeRegistrationViewModel {

		$usr = UsuarioLogado::getUsuarioId();
		$dtc = DateUtils::today();
		$hrc = DateUtils::now_time();
		$agenda_registration_vm = AgendaEspecialidadeDisponibilidadeRegistrationViewModel::builder()->setIdUnidade( $data ['unidade'] )
			->setIdEspecialidade( $data ['especialidade'] )
			->setDataInicial( $data ['data_inicial'] )
			->setDataFinal( $data ['data_final'] )
			->setHoraInicial( $data ['hora_inicial'] )
			->setHoraFinal( $data ['hora_final'] )
			->setCriadoPor( $usr )
			->setDataCriacao( $dtc )
			->setHoraCriacao( $hrc )
			->setAtivo(1)
			->build();
		return $agenda_registration_vm;

	}

}

